summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLouis Sautier <sbraz@gentoo.org>2018-08-26 17:50:27 +0200
committerLouis Sautier <sbraz@gentoo.org>2018-08-27 09:11:21 +0200
commit2fae7cb90220af5884ca1604db864caf440978b3 (patch)
treea9d5ae765c4adfe62d9132f5f4fa013c3fbfdcf9 /dev-python/dulwich/dulwich-0.19.6.ebuild
parentdev-ruby/autoprefixer-rails: add 9.1.3 (diff)
downloadgentoo-2fae7cb90220af5884ca1604db864caf440978b3.tar.gz
gentoo-2fae7cb90220af5884ca1604db864caf440978b3.tar.bz2
gentoo-2fae7cb90220af5884ca1604db864caf440978b3.zip
dev-python/dulwich: bump to 0.19.6, add Python 3.7
Package-Manager: Portage-2.3.48, Repoman-2.3.10 Closes: https://github.com/gentoo/gentoo/pull/9699
Diffstat (limited to 'dev-python/dulwich/dulwich-0.19.6.ebuild')
-rw-r--r--dev-python/dulwich/dulwich-0.19.6.ebuild58
1 files changed, 58 insertions, 0 deletions
diff --git a/dev-python/dulwich/dulwich-0.19.6.ebuild b/dev-python/dulwich/dulwich-0.19.6.ebuild
new file mode 100644
index 00000000000..19df9baad28
--- /dev/null
+++ b/dev-python/dulwich/dulwich-0.19.6.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_{4,5,6,7}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Pure-Python implementation of the Git file formats and protocols"
+HOMEPAGE="https://github.com/jelmer/dulwich/ https://pypi.org/project/dulwich/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc examples test"
+
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.21[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? (
+ ${RDEPEND}
+ dev-python/gevent[${PYTHON_USEDEP}]
+ dev-python/geventhttpclient[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/python-fastimport[${PYTHON_USEDEP}]
+ )"
+
+DISTUTILS_IN_SOURCE_BUILD=1
+
+# One test sometimes fails
+# https://github.com/jelmer/dulwich/issues/541
+PATCHES=( "${FILESDIR}/${PN}-0.18.3-skip-failing-test.patch" )
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ # Do not use make check which rebuilds the extension and uses -Werror,
+ # causing unexpected failures.
+ "${EPYTHON}" -m unittest dulwich.tests.test_suite \
+ || die "tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/build/html/. )
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}